Subject: [PATCH v2 13/16] nvmem: add support for cell lookups from machine code

From: [email-masked] (Boris Brezillon)
Date: Mon, 10 Sep 2018 11:49:27 +0200

On Mon, 10 Sep 2018 11:45:48 +0200
Bartosz Golaszewski <[email-masked]> wrote:

> 2018-09-10 10:55 GMT+02:00 Srinivas Kandagatla <[email-masked]>:
> >
> >
> > On 10/09/18 09:23, Boris Brezillon wrote:  
> >>
> >> Well, if we get rid of nvmem-machine.h, the cell-lookup stuff
> >> should go in nvmem-consumer.h not nvmem-provider.h. On the other hand,
> >> everything that is related to cell creation should be placed in
> >> nvmem-provider.h.  
> >
> > Yes, this is how it should be!
> >  
> 
> Any actual reason for not putting these definitions into a separate
> 'machine' header? This approach is currently used by gpio, pinctrl,
> iio and regulator framework because most systems use either DT or ACPI
> and don't need to pull in any stuff aimed at board files.

I'm perfectly fine with the separate header file, all I'm saying is, if
Srinivas does not want nvmem-machine.h, definitions should be placed in
nvmem-provider.h or nvmem-consumer.h depending on who they're meant to
be used by (providers or consumers).